Commits

Doug Burke committed 2c35fb5

Update dependencies for semigroups and text

Comments (0)

Files changed (2)

+0.9.0.9:
+
+  Updated the upper bound on the semigroups dependency (thanks to Leif
+  Warner).
+
+  Updated the upper bound on the text dependency (however, requires
+  changes to intern and semigroups to use).
+
 0.9.0.8:
 
-  Updated the upper bound on the semigroup dependency (thanks to Leif
+  Updated the upper bound on the semigroups dependency (thanks to Leif
   Warner).
 
   Display library version when running the runw3ctests executable
 
 0.9.0.1:
 
-  Updated the upper bound on the semigroup dependency (thanks to Leif
+  Updated the upper bound on the semigroups dependency (thanks to Leif
   Warner).
 
 0.9.0.0:
 Name:               swish
-Version:            0.9.0.8
+Version:            0.9.0.9
 Stability:          experimental
 License:            LGPL
 License-file:       LICENSE 
   .
   * Complete, ready-to-run, command-line and script-driven programs.
   .
+  Changes in version @0.9.0.9@:
+  .
+  * Updated the upper bound on the semigroups dependency (thanks to 
+  Leif Warner).
+  .
+  * Updated the upper bound on the text dependency (however, requires
+  changes to intern and semigroups to use).
+  .
   Changes in version @0.9.0.8@:
   .
-  * Updated the upper bound on the semigroup dependency (thanks to 
+  * Updated the upper bound on the semigroups dependency (thanks to 
   Leif Warner).
   .
   * Display library version when running the @runw3ctests@ executable
   .
   Changes in version @0.9.0.1@:
   .
-  * Updated the upper bound on the semigroup dependency (thanks to 
+  * Updated the upper bound on the semigroups dependency (thanks to 
   Leif Warner).
   .
   Changes in version @0.9.0.0@:
       network >= 2.2 && < 2.5,
       old-locale == 1.0.*, 
       polyparse >= 1.6 && <= 1.9,
-      semigroups >= 0.5 && < 0.12,
-      text == 0.11.*,
+      semigroups >= 0.5 && < 0.13,
+      text >= 0.11 && < 1.1,
       time >= 1.1 && < 1.5
 
    if impl(ghc < 7.4.0)